// SPDX-License-Identifier: AGPL-3.0-or-later
//! This crate contains the definition of the protocol used to access the filesystem, as well as
//! its client and server implementations.
#![feature(impl_trait_in_assoc_type)]

/// The type for inodes in used in the filesystem.
pub type Inode = btlib::Inode;
/// The type for open file handles used in the filesystem.
pub type Handle = u64;

pub mod msg;

#[cfg(feature = "client")]
pub mod client;
#[cfg(feature = "local-fs")]
pub mod local_fs;
#[cfg(feature = "server")]
pub mod server;
